at.chipkarte.client.auth.soap

## Class Ordination

- Object
- - at.chipkarte.client.auth.soap.Ordination

-     public class Ordination
      extends Object

  Enthält Daten zur Ordinationsadresse.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ordination()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBezirk()` Bezirkscode, in dem sich die Ordination befindet.
    `String` | `getBundeslandCode()` Code des Bundeslandes, in dem sich die Ordination befindet.
    `String` | `getLandCode()` ISO-3166-3 Code des Landes, in dem sich die Ordination befindet.
    `String` | `getOrdinationId()` Identifizierer der Ordination (dient als Referenz dieser Ordinationsadresse in anderen Funktionen).
    `Long` | `getOrdinationNumber()` Eindeutige Nummer der Ordination bezogen auf den Vertragspartner.
    `String` | `getPostleitzahl()` Postleitzahl des Ortes, in dem sich die Ordination befindet.
    `String` | `getStadt()` Stadt/Ort, in der sich die Ordination befindet.
    `String` | `getStrasse()` Straße, in der sich die Ordination befindet.
    `TaetigkeitsBereich[]` | `getTaetigkeitsBereich()` Tätigkeitsbereiche an dieser Ordination.
    `String` | `getUebersiedelnDate()` Datum, wann die Adresse - serverseitig - geschlossen wird.
    `String` | `getVorgaengerOrdinationId()` Id der Vorgängerordination (die "alte" Ordinationsadresse), von der zur aktuellen Adresse übersiedelt wird/wurde.
    `Boolean` | `isUebersiedeln()` Flag zur Kennzeichnung, ob es sich um eine alte Ordinationsadresse handelt, die zu übersiedeln ist.
    `void` | `setBezirk(String bezirk)`
    `void` | `setBundeslandCode(String bundesland)`
    `void` | `setLandCode(String landCode)`
    `void` | `setOrdinationId(String ordinationId)`
    `void` | `setOrdinationNumber(Long ordinationNumber)`
    `void` | `setPostleitzahl(String postleitzahl)`
    `void` | `setStadt(String stadt)`
    `void` | `setStrasse(String strasse)`
    `void` | `setTaetigkeitsBereich(TaetigkeitsBereich[] taetigkeitsBereich)`
    `void` | `setUebersiedeln(Boolean uebersiedeln)`
    `void` | `setUebersiedelnDate(String uebersiedelnDate)`
    `void` | `setVorgaengerOrdinationId(String vorgaengerOrdinationId)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ordination

          public Ordination()

  - ### Method Detail

    - #### setBundeslandCode

          public void setBundeslandCode(String bundesland)

    - #### setLandCode

          public void setLandCode(String landCode)

    - #### setOrdinationId

          public void setOrdinationId(String ordinationId)

    - #### setOrdinationNumber

          public void setOrdinationNumber(Long ordinationNumber)

    - #### setPostleitzahl

          public void setPostleitzahl(String postleitzahl)

    - #### setStadt

          public void setStadt(String stadt)

    - #### setStrasse

          public void setStrasse(String strasse)

    - #### getStadt

          public String getStadt()

      Stadt/Ort, in der sich die Ordination befindet.
      Format: maximal 40-stellig
      Returns:
        Stadt

    - #### getLandCode

          public String getLandCode()

      ISO-3166-3 Code des Landes, in dem sich die Ordination befindet.
      Format: 3-stellig
      Returns:
        Landescode

    - #### getBezirk

          public String getBezirk()

      Bezirkscode, in dem sich die Ordination befindet.
      Format: 2-stellig
      Returns:
        Bezirk

    - #### getOrdinationId

          public String getOrdinationId()

      Identifizierer der Ordination (dient als Referenz dieser Ordinationsadresse in anderen Funktionen).
      Format: maximal 19-stellig
      Returns:
        Ordinations-Id

    - #### getOrdinationNumber

          public Long getOrdinationNumber()

      Eindeutige Nummer der Ordination bezogen auf den Vertragspartner.
      Format: 2-stellig
      Returns:
        Ordinationsnummer

    - #### getBundeslandCode

          public String getBundeslandCode()

      Code des Bundeslandes, in dem sich die Ordination befindet.
      Mögliche Werte: siehe `Bundesländer`.
      Format: 1-stellig
      Returns:
        Code des Bundeslandes

    - #### getStrasse

          public String getStrasse()

      Straße, in der sich die Ordination befindet.
      Format: maximal 60-stellig
      Returns:
        Straße

    - #### getPostleitzahl

          public String getPostleitzahl()

      Postleitzahl des Ortes, in dem sich die Ordination befindet.
      Format: maximal 9-stellig
      Returns:
        Postleitzahl

    - #### setBezirk

          public void setBezirk(String bezirk)

    - #### isUebersiedeln

          public Boolean isUebersiedeln()

      Flag zur Kennzeichnung, ob es sich um eine alte Ordinationsadresse handelt, die zu übersiedeln ist.
      Returns:
        Übersiedlungskennzeichen

    - #### setUebersiedeln

          public void setUebersiedeln(Boolean uebersiedeln)

    - #### getVorgaengerOrdinationId

          public String getVorgaengerOrdinationId()

      Id der Vorgängerordination (die "alte" Ordinationsadresse), von der zur aktuellen Adresse übersiedelt wird/wurde.
      Format: maximal 19-stellig
      Returns:
        Ordinations-Id der Vorgängerordination

    - #### setVorgaengerOrdinationId

          public void setVorgaengerOrdinationId(String vorgaengerOrdinationId)

    - #### getUebersiedelnDate

          public String getUebersiedelnDate()

      Datum, wann die Adresse - serverseitig - geschlossen wird.
      Die Adresse muss bis zu diesem Datum übersiedelt werden. Dieses Datum wird dann geliefert, wenn sich der Vertragspartner bereits einmal an der neuen Ordinationsadresse angemeldet hat.
      Format: TT.MM.JJJJ
      Returns:
        Datum der Übersiedlungsfrist

    - #### setUebersiedelnDate

          public void setUebersiedelnDate(String uebersiedelnDate)

    - #### getTaetigkeitsBereich

          public TaetigkeitsBereich[] getTaetigkeitsBereich()

      Tätigkeitsbereiche an dieser Ordination.
      Returns:
        Tätigkeitsbereiche

    - #### setTaetigkeitsBereich

          public void setTaetigkeitsBereich(TaetigkeitsBereich[] taetigkeitsBereich)